STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH
local TUNING = GLOBAL.TUNING
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action
local require = GLOBAL.require
local Builder = require "components/builder"
local AllRecipes = GLOBAL.AllRecipes
local CUSTOM_RECIPETABS = GLOBAL.CUSTOM_RECIPETABS
local GetValidRecipe = GLOBAL.GetValidRecipe
local RECIPETABS = GLOBAL.RECIPETABS


local TheInput = GLOBAL.TheInput
local ThePlayer = GLOBAL.ThePlayer
local IsServer = GLOBAL.TheNet:GetIsServer()


all_clients_require_mod = true 



PrefabFiles = {
	"sucy",
	"sucy_none",
	"smallbomb",
	"smallbombactive",
	"largebomb",
	"largebombactive",
	"spikebombactive",
	"shadowbomb",
	"shadowbombactive",
	"shadowbombsmoke",
	"icebomb",
	"icebombactive",
	"stickybomb",
	"stickybombactive",
	 "witchhat",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sucy.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sucy.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sucy.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sucy.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/sucy_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sucy_silho.xml" ),

    Asset( "IMAGE", "bigportraits/sucy.tex" ),
    Asset( "ATLAS", "bigportraits/sucy.xml" ),
	
	Asset( "IMAGE", "images/map_icons/sucy.tex" ),
	Asset( "ATLAS", "images/map_icons/sucy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_sucy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_sucy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_sucy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_sucy.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_sucy.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_sucy.xml" ),
	
	Asset( "IMAGE", "images/names_sucy.tex" ),
    Asset( "ATLAS", "images/names_sucy.xml" ),
	
    Asset( "IMAGE", "bigportraits/sucy_none.tex" ),
    Asset( "ATLAS", "bigportraits/sucy_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- String Names stuff -- 

STRINGS.NAMES.SMALLBOMB = "Малое Взрывное Зелье"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SMALLBOMB = "Идеально против мелких грызунов."
STRINGS.RECIPE_DESC.SMALLBOMB = "Аптечка: 'Просто не дай себя ранить.'"

STRINGS.NAMES.LARGEBOMB = "Большое Взрывное Зелье"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LARGEBOMB = "Лучше не путать с ядренной настойкой."
STRINGS.RECIPE_DESC.LARGEBOMB = "Взрывная магия! Теперь в хрустале!"

STRINGS.NAMES.SHADOWBOMB = "Теневое Зелье"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHADOWBOMB = "Через сто лет здесь настоится первоклассный джин."
STRINGS.RECIPE_DESC.SHADOWBOMB = "Не выпускать злых духов! Я серьезно!"

STRINGS.NAMES.ICEBOMB = "Ледяное Зелье"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ICEBOMB = "Интересно, как сильно оно заморозит мой мозг?"
STRINGS.RECIPE_DESC.ICEBOMB = "Машина времени рядом!"


STRINGS.NAMES.STICKYBOMB = "Зловонное Зелье"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.STICKYBOMB = "Изобретено ведьмой с насморком."
STRINGS.RECIPE_DESC.STICKYBOMB = "Везде как дома!"

STRINGS.NAMES.WITCHHAT = "Шляпа Ведьмы"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WITCHHAT = "Прямо как в старых баснях о ведьмах."
STRINGS.RECIPE_DESC.WITCHHAT = "Ведьменское достоинство!"





-- AddRecipe stuff -- 
    AddRecipe("smallbomb", 
	{Ingredient("red_cap", 1), Ingredient("charcoal", 2), Ingredient("nitre", 1)}, 
	RECIPETABS.MAGIC, nil, nil, nil, nil, 3,  "poisonmaker", "images/inventoryimages/smallbomb.xml", "smallbomb.tex")

    AddRecipe("largebomb", 
	{Ingredient("red_cap", 2), Ingredient("charcoal", 4), Ingredient("nitre", 2)}, 
	RECIPETABS.MAGIC, TECH.SCIENCE_ONE, nil, nil, nil, 3, "poisonmaker", "images/inventoryimages/largebomb.xml", "largebomb.tex")
--===================================================================================================================	

AddRecipe("shadowbomb", 
	{Ingredient("nightmarefuel", 1), Ingredient("monstermeat", 3), Ingredient("goldnugget", 1)}, 
	RECIPETABS.MAGIC, TECH.MAGIC_TWO, nil, nil, nil, 3, "poisonmaker", "images/inventoryimages/shadowbomb.xml", "shadowbomb.tex")
	
--===================================================================================================================
	
	AddRecipe("icebomb", 
	{Ingredient("blue_cap", 1), Ingredient("ice", 4), Ingredient("nitre", 2)}, 
	RECIPETABS.MAGIC, TECH.SCIENCE_TWO, nil, nil, nil, 3, "poisonmaker", "images/inventoryimages/icebomb.xml", "icebomb.tex")

--===================================================================================================================

AddRecipe("stickybomb", 
	{Ingredient("green_cap", 1), Ingredient("spoiled_food", 3), Ingredient("spidergland", 2)}, 
	RECIPETABS.MAGIC, TECH.SCIENCE_TWO, nil, nil, nil, 3, "poisonmaker", "images/inventoryimages/stickybomb.xml", "stickybomb.tex")
	
	--===================================================================================================================
	
AddRecipe("witchhat",
 { Ingredient("nightmarefuel", 3), Ingredient("rope", 1), Ingredient("silk",6)},
 RECIPETABS.DRESS, TECH.NONE, nil, nil, nil, nil, "poisonmaker", "images/inventoryimages/witchhat.xml" )
	




-- The character select screen lines
STRINGS.CHARACTER_TITLES.sucy = "Королева Ядов"
STRINGS.CHARACTER_NAMES.sucy = "Сюзи"
STRINGS.CHARACTER_DESCRIPTIONS.sucy = "*Угостит монстров своими лучшими зельями... Насильно...\n*Не страшится тьмы\n"
STRINGS.CHARACTER_QUOTES.sucy = "\"Какие ингредиенты я смогу здесь найти?\""

-- Custom speech strings
STRINGS.CHARACTERS.SUCY = require "speech_sucy"

-- The character's name as appears in-game 
STRINGS.NAMES.SUCY = "Сюзи"

AddMinimapAtlas("images/map_icons/sucy.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("sucy", "FEMALE")

